namespace :db do
  # The default db:load_config task provided by rails only works with config/database.yml
  Rake::Task["db:load_config"].clear
  desc "Loads database configurations"
  task :load_config do
    base = ActiveRecord::Base
    if url = ENV['DATABASE_URL']
      config = base::ConnectionSpecification::Resolver.new(url, base.configurations).spec.config.stringify_keys
      base.configurations = { Rails.env => config }
    else
      base.configurations = app.config.database_configuration
    end
    base.configurations[Rails.env].merge!(DbCharmerEnvUrls.database_configurations)
  end
end
